import * as $dara from '@darabonba/typescript';
import { DescribeInstanceRamRoleResponseBody } from "./DescribeInstanceRamRoleResponseBody";
export declare class DescribeInstanceRamRoleResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeInstanceRamRoleResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
